curl --request GET \
--url https://api.example.com/v2/transponders/shipments/{id}/ \
--header 'Authorization: Bearer <token>'{
"id": 123,
"fleet": {
"id": 123,
"title": "<string>",
"is_active": true
},
"transponders": [
{
"id": 123,
"number": "<string>",
"vehicle_type": 123,
"agencies": [
123
],
"status": "IN_STOCK",
"fleet": 123,
"vehicle": 123
}
],
"received_by": {
"id": 123,
"username": "<string>",
"email": "jsmith@example.com"
},
"shipped_by": {
"id": 123,
"username": "<string>",
"email": "jsmith@example.com"
},
"direction": "IN",
"status": "PENDING",
"shipped_at": "2023-11-07T05:31:56Z",
"received_at": "2023-11-07T05:31:56Z",
"remarks": "<string>",
"courier": "DHL",
"tracking_code": "<string>"
}Get a shipment of transponders
curl --request GET \
--url https://api.example.com/v2/transponders/shipments/{id}/ \
--header 'Authorization: Bearer <token>'{
"id": 123,
"fleet": {
"id": 123,
"title": "<string>",
"is_active": true
},
"transponders": [
{
"id": 123,
"number": "<string>",
"vehicle_type": 123,
"agencies": [
123
],
"status": "IN_STOCK",
"fleet": 123,
"vehicle": 123
}
],
"received_by": {
"id": 123,
"username": "<string>",
"email": "jsmith@example.com"
},
"shipped_by": {
"id": 123,
"username": "<string>",
"email": "jsmith@example.com"
},
"direction": "IN",
"status": "PENDING",
"shipped_at": "2023-11-07T05:31:56Z",
"received_at": "2023-11-07T05:31:56Z",
"remarks": "<string>",
"courier": "DHL",
"tracking_code": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Read model serializer for shipments
Fleet model serializer without nested relations
Show child attributes
Show child attributes
Show child attributes
Show child attributes
IN - IncomingOUT - OutgoingIN, OUT PENDING - PendingSHIPPED - ShippedRECEIVED - ReceivedCANCELLED - CancelledPENDING, SHIPPED, RECEIVED, CANCELLED DHL - DHLFedEx - FedExUPS - UPSUSPS - USPSOTHER - OtherDHL, FedEx, UPS, USPS, OTHER 128Was this page helpful?